public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-wm/hyprland/
Date: Wed, 19 Jul 2023 15:10:57 +0000 (UTC)	[thread overview]
Message-ID: <1689779382.b47ced20c240c8b19cbe378b7432c3d7a1e88351.sam@gentoo> (raw)

commit:     b47ced20c240c8b19cbe378b7432c3d7a1e88351
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue Jul 18 23:23:42 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 19 15:09:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b47ced20

gui-wm/hyprland: add 0.27.2

Co-authored-by: Julien Roy <julien <AT> jroy.ca>
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31952
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gui-wm/hyprland/Manifest               |  1 +
 gui-wm/hyprland/hyprland-0.27.2.ebuild | 97 ++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index 0be23e71b581..4b23ba20d529 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1 +1,2 @@
 DIST hyprland-0.26.0.gh.tar.gz 1523005 BLAKE2B e54ebb73850f63427ff9347c7ad0cb2ffda3350baf3c4221de51b1094678f3ffdac67669f49bfe3ba416b627673f5ca8491d06e16791764ef1c39f5964f2b570 SHA512 b43639a8e0fdd60165b6caa51c9411bc6f97260690c5ee3d15126ef091ccf93955fdda904a226b4aeb4367785ecaba426882a2e9b726c2b79c81a2ede0f9e36a
+DIST hyprland-0.27.2.gh.tar.gz 4992717 BLAKE2B 6725ee593edb4f7d127eb95ed567bc7344edc066a9ce818ba99bd15eb718ce1d8de86a63da5684521ccbe3ba918a3f385c3a3e662314704e60e855101d391d05 SHA512 92e8ca21eba52ff423654cd345d37125656c32e1262e4e76d8841ee4ba698788d46d70a5876fc9aca42440efa5dd4122f46c84365da53810284a666f5d13ce7e

diff --git a/gui-wm/hyprland/hyprland-0.27.2.ebuild b/gui-wm/hyprland/hyprland-0.27.2.ebuild
new file mode 100644
index 000000000000..e67a76f747bd
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.27.2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland"
+
+SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${PF}.gh.tar.gz"
+S="${WORKDIR}/${PN}-source"
+
+KEYWORDS="~amd64"
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd video_cards_nvidia"
+
+RDEPEND="
+	app-misc/jq
+	dev-libs/glib:2
+	dev-libs/libinput:=
+	dev-libs/libliftoff
+	dev-libs/wayland
+	dev-libs/wayland-protocols
+	dev-util/glslang
+	dev-util/vulkan-headers
+	gui-libs/gtk-layer-shell
+	media-libs/libdisplay-info
+	media-libs/libglvnd[X?]
+	media-libs/mesa[gles2,wayland,X?]
+	media-libs/vulkan-loader
+	sys-auth/seatd:=
+	x11-base/xcb-proto
+	x11-libs/cairo
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pango
+	x11-libs/pixman
+	x11-misc/xkeyboard-config
+	virtual/libudev:=
+	X? (
+	   gui-libs/wlroots[x11-backend]
+	   x11-base/xwayland
+	   x11-libs/libxcb:=
+	   x11-libs/xcb-util-image
+	   x11-libs/xcb-util-renderutil
+	   x11-libs/xcb-util-wm
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/hyprland-protocols
+	>=dev-libs/wayland-1.22.0
+	dev-util/wayland-scanner
+	dev-vcs/git
+	>=gui-libs/wlroots-0.16.0[X?]
+"
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} == binary ]] && return
+
+	if tc-is-gcc; then
+		STDLIBVER=$(echo '#include <string>' | $(tc-getCXX) -x c++ -dM -E - | \
+					grep GLIBCXX_RELEASE | sed 's/.*\([1-9][0-9]\)/\1/')
+
+		if ! [[ ${STDLIBVER} -ge 12 ]]; then
+			die "Hyprland requires >=sys-devel/gcc-12.1.0 to build"
+		fi
+	elif [[ $(clang-major-version) -lt 16 ]]; then
+		die "Hyprland requires >=sys-devel/clang-16.0.3 to build";
+	fi
+}
+
+src_prepare() {
+	if use video_cards_nvidia; then
+		cd "${S}/subprojects/wlroots" || die
+		eapply "${FILESDIR}/nvidia-0.25.0.patch"
+		cd "${S}" || die
+	fi
+
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature legacy-renderer legacy_renderer)
+		$(meson_feature X xwayland)
+		$(meson_feature systemd)
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install --skip-subprojects wlroots
+}


             reply	other threads:[~2023-07-19 15:11 UTC|newest]

Thread overview: 81+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-19 15:10 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-26 12:49 [gentoo-commits] repo/gentoo:master commit in: gui-wm/hyprland/ Yixun Lan
2024-09-11  2:34 Yixun Lan
2024-09-11  2:34 Yixun Lan
2024-09-10 15:46 Jakov Smolić
2024-08-11  2:44 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-08-09  3:18 Yixun Lan
2024-08-09  3:18 Yixun Lan
2024-08-09  3:18 Yixun Lan
2024-08-09  3:18 Yixun Lan
2024-08-09  3:18 Yixun Lan
2024-07-27 17:16 Arthur Zamarin
2024-07-25  0:06 Yixun Lan
2024-07-01 22:40 Yixun Lan
2024-07-01 22:40 Yixun Lan
2024-06-30 15:05 James Le Cuirot
2024-06-25  8:18 Yixun Lan
2024-05-28 14:08 Yixun Lan
2024-05-23 16:10 Matt Turner
2024-05-15  8:04 Yixun Lan
2024-05-15  8:04 Yixun Lan
2024-05-13 18:00 Arthur Zamarin
2024-05-06  2:21 Yixun Lan
2024-04-27 11:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-15 23:51 Yixun Lan
2024-04-15 23:51 Yixun Lan
2024-04-13  5:45 Joonas Niilola
2024-04-08 12:56 Yixun Lan
2024-04-02 11:44 Yixun Lan
2024-03-17  9:10 Yixun Lan
2024-03-16 23:51 Yixun Lan
2024-03-16 23:51 Yixun Lan
2024-03-02  1:23 Yixun Lan
2024-03-01  1:08 Yixun Lan
2024-03-01  1:08 Yixun Lan
2024-02-23  0:50 Yixun Lan
2024-02-23  0:50 Yixun Lan
2024-02-23  0:50 Yixun Lan
2024-02-18  8:57 Yixun Lan
2024-02-18  8:57 Yixun Lan
2024-02-18  0:15 Sam James
2024-01-05 19:42 Jakov Smolić
2024-01-05 10:36 Sam James
2024-01-03 13:45 Yixun Lan
2024-01-03 13:45 Yixun Lan
2024-01-03 13:45 Yixun Lan
2023-12-20 15:19 Sam James
2023-12-13 12:27 Yixun Lan
2023-12-12  8:14 Yixun Lan
2023-12-12  8:14 Yixun Lan
2023-11-26  7:49 Yixun Lan
2023-11-26  7:49 Yixun Lan
2023-11-12 23:56 Yixun Lan
2023-11-12 23:29 Yixun Lan
2023-11-12 23:29 Yixun Lan
2023-11-12  6:39 Sam James
2023-11-12  0:02 Yixun Lan
2023-11-11 11:23 Yixun Lan
2023-11-11 10:28 Yixun Lan
2023-11-11 10:28 Yixun Lan
2023-11-04 19:48 Sam James
2023-11-04 19:48 Sam James
2023-10-27  3:20 Sam James
2023-10-01  7:47 Sam James
2023-10-01  7:47 Sam James
2023-09-18  9:50 Sam James
2023-09-18  9:50 Sam James
2023-07-27  3:10 Sam James
2023-07-23  1:52 Sam James
2023-07-19 15:10 Sam James
2023-06-11  8:22 Joonas Niilola
2023-06-05  8:05 Sam James
2023-06-05  5:32 Sam James
2023-06-05  5:15 Sam James
2023-05-29 14:21 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1689779382.b47ced20c240c8b19cbe378b7432c3d7a1e88351.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox